SaveEvent.EventType (gCube GIS Viewer Widget 2.0.0-SNAPSHOT API)
Date: 2013-07-01

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.portlets.user.gcubegisviewer.client.event
Enum SaveEvent.EventType

    java.lang.Object
      java.lang.Enum<SaveEvent.EventType>
          org.gcube.portlets.user.gcubegisviewer.client.event.SaveEvent.EventType

All Implemented Interfaces:
  Serializable, Comparable<SaveEvent.EventType>

Enclosing class:
  SaveEvent

    protected static enum SaveEvent.EventType

extends Enum<SaveEvent.EventType>

Enum Constant Summary
`SAVE`
`SAVE_FAILURE`
`SAVE_SUCCESS`

Method Summary
`static SaveEvent.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SaveEvent.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SAVE

    public static final SaveEvent.EventType SAVE

### SAVE_SUCCESS

    public static final SaveEvent.EventType SAVE_SUCCESS

### SAVE_FAILURE

    public static final SaveEvent.EventType SAVE_FAILURE

Method Detail

### values

    public static SaveEvent.EventType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SaveEvent.EventType c : SaveEvent.EventType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SaveEvent.EventType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.